<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\UserProfile;
// use App\Http\Controllers\StoreUserRequest;

use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;



class AuthController extends Controller
{
    public function createUser(Request $request){

        $validator = Validator::make($request->all(), [
            'name' => 'required|string|max:255',
            'email' => 'required|string|email|unique:users,email',
            'password' => 'required|string|min:6',
            'role' => 'required|string',
        ]);

        if ($validator->fails()) {
            return response()->json($validator->errors(), 422);
        }

        $user = User::create([
            'name' => $request->name,
            'email' => $request->email,
            'password' => bcrypt($request->password),
            'role' => $request->role,

        ]);
        $userprofile = UserProfile::create([
            'user_id'=> $user->id
        ]);

        return response()->json($user, 201);
    }

    public function loginUser(Request $request){
        try {
            $validateUser = validator::make($request->all(),[
                "email"=> "required|email",
                "password"=> "required",
            ]);
            if ($validateUser->fails()) {
                return response()->json([
                    "status"=> "ECHEC",
                    "message"=> "erreur de validation",
                    "errors"=> $validateUser->errors()
                ],400);
            }

            // if(!validator::make($request->only("email"))){ if (!Auth::attempt($request->only(["email","password"]))) {
                // return response()->json([
                //     "status"=> "ECHEC",
                //     "message"=> "Email ou mot de passe incorrect.",
                // ],403);
            //}
            //     return response()->json([
            //         "status"=> "Echec",
            //         "message"=> "email incorect"

            //     ],403);
            // }
            // if(!validator::make($request->only("password"))){
            //     return response()->json([
            //         "status"=> "Echec",
            //         "message"=> "password incorect"

            //     ],403);
            // }
            if (!Auth::attempt($request->only(["email","password"]))) {
                return response()->json([
                    "status"=> "ECHEC",
                    "message"=> "Email ou mot de passe incorrect.",
                ],403);
            }
            $user = User::where("email", $request->email)->first();
                return response()->json([
                    "status"=> "success",
                    "message"=> "Connexion réussie",
                    "user"=> $user,
                    "token"=> $user->createToken("API TOKEN")->plainTextToken,
                ], 200);

        }   catch (\Throwable $th) {
            return response()->json([
                "status"=> "ECHEC",
                "message"=> $th->getMessage(),
            ] , 403);
        }
    }
}
