<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

// class PasswordRecoveryMail extends Mailable
// {
//     use Queueable, SerializesModels;

//     /**
//      * Create a new message instance.
//      */
//     public function __construct()
//     {
//         //
//     }

//     /**
//      * Get the message envelope.
//      */
//     public function envelope(): Envelope
//     {
//         return new Envelope(
//             subject: 'Password Recovery Mail',
//         );
//     }

//     /**
//      * Get the message content definition.
//      */
//     public function content(): Content
//     {
//         return new Content(
//             view: 'view.name',
//         );
//     }

//     /**
//      * Get the attachments for the message.
//      *
//      * @return array<int, \Illuminate\Mail\Mailables\Attachment>
//      */
//     public function attachments(): array
//     {
//         return [];
//     }
// }


class PasswordRecoveryMail extends Mailable {
    use Queueable, SerializesModels;

    public $temporaryPassword;

    public function __construct($temporaryPassword) {
        $this->temporaryPassword = $temporaryPassword;
    }

    public function build() {
        return $this->subject('Votre Mot de Passe Provisoire')
                    ->view('emails.password_recovery')
                    ->with(['temporaryPassword' => $this->temporaryPassword]);
    }
}