<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserProfile extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'first_name',
        'last_name',
        'birth_date',
        'phone',
        'address',
        'profile_picture_path',
        'education',
        'experience',
        'skills',
        'website',
        'founded_date',
        'company_size',
        'company_categories',
        'public_profile_view',
        'description',
        'photo',
        'facebook',
        'linkedin',
        'behance',
        'dribbble',
        'country',
        'state',
        'postal_code',
        'latitude',
        'longitude',
        'title'
    ];

    /**
     * Relation avec l'utilisateur.
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    /**
     * Accesseurs pour les attributs JSON.
     */
    // public function getEducationAttribute($value)
    // {
    //     return json_decode($value);
    // }

    // public function getExperienceAttribute($value)
    // {
    //     return json_decode($value);
    // }

    // public function getSkillsAttribute($value)
    // {
    //     return json_decode($value);
    // }

    /**
     * Mutateurs pour les attributs JSON.
     */
    // public function setEducationAttribute($value)
    // {
    //     $this->attributes['education'] = json_encode($value);
    // }

    // public function setExperienceAttribute($value)
    // {
    //     $this->attributes['experience'] = json_encode($value);
    // }

    // public function setSkillsAttribute($value)
    // {
    //     $this->attributes['skills'] = json_encode($value);
    // }
}
