<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->enum('role', ['1', '2', '3', '4']);
            // Role 1=Admin, 2=Demandeur,3=Entreprise,4=Ecole
            // $table->boolean('role')->default(false); //Utilisateur par défaut
            $table->rememberToken();
            $table->timestamps();
        });
        // Schema::create('users', function (Blueprint $table) {
        //     $table->id();
        //     $table->string('name', 255);
        //     $table->string('email', 255)->unique();
        //     $table->string('password');
        //     $table->boolean('role')->default(false); //Utilisateur par défaut
        //     $table->timestamps();
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('users');
    }
};
