<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('user_profiles', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade'); // Lien vers la table users
            $table->string('first_name')->nullable(); // Prénom
            $table->string('last_name')->nullable(); // Nom de famille
            $table->date('birth_date')->nullable(); // Date de naissance
            $table->string('phone')->nullable(); // Numéro de téléphone
            $table->string('address')->nullable(); // Adresse
            $table->string('profile_picture_path')->nullable(); // Image de profil
            $table->text('education')->nullable(); // Parcours d'éducation (JSON ou texte)
            $table->text('experience')->nullable(); // Expériences professionnelles (JSON ou texte)
            $table->text('skills')->nullable(); // Compétences (JSON ou texte)
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_profiles');
    }
};
