<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('user_profiles', function (Blueprint $table) {
            $table->string('website')->nullable();
            $table->date('founded_date')->nullable();
            $table->unsignedInteger('company_size')->nullable();
            $table->string('company_categories')->nullable();
            $table->boolean('public_profile_view')->default(false);
            $table->text('description')->nullable();
            $table->string('photo')->nullable(); 
            $table->string('facebook')->nullable();
            $table->string('linkedin')->nullable();
            $table->string('behance')->nullable();
            $table->string('dribbble')->nullable();
            $table->string('country'); 
            $table->string('state'); 
            $table->string('postal_code');
            $table->decimal('latitude', 10, 8); 
            $table->decimal('longitude', 11, 8);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('user_profiles', function (Blueprint $table) {
            //
        });
    }
};
