<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('user_profiles', function (Blueprint $table) {
            //
            $table->string('first_name')->nullable()->change();
            $table->string('last_name')->nullable()->change();
            $table->date('birth_date')->nullable()->change();
            $table->string('phone')->nullable()->change();
            $table->string('address')->nullable()->change();
            $table->string('profile_picture_path')->nullable()->change();
            $table->text('education')->nullable()->change();
            $table->text('experience')->nullable()->change();
            $table->text('skills')->nullable()->change();
            $table->timestamp('created_at')->nullable()->change();
            $table->timestamp('updated_at')->nullable()->change();
            $table->string('website')->nullable()->change();
            $table->date('founded_date')->nullable()->change();
            $table->unsignedInteger('company_size')->nullable()->change();
            $table->string('company_categories')->nullable()->change();
            $table->boolean('public_profile_view')->default(0)->change(); // Change seulement si vous voulez le rendre nullable
            $table->text('description')->nullable()->change();
            $table->string('photo')->nullable()->change();
            $table->string('facebook')->nullable()->change();
            $table->string('linkedin')->nullable()->change();
            $table->string('behance')->nullable()->change();
            $table->string('dribbble')->nullable()->change();
            $table->string('country')->nullable()->change();
            $table->string('state')->nullable()->change();
            $table->string('postal_code')->nullable()->change();
            $table->decimal('latitude', 10, 8)->nullable()->change();
            $table->decimal('longitude', 11, 8)->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('user_profiles', function (Blueprint $table) {
            //
            $table->string('first_name')->nullable()->change();
            $table->string('last_name')->nullable()->change();
            $table->date('birth_date')->nullable()->change();
            $table->string('phone')->nullable()->change();
            $table->string('address')->nullable()->change();
            $table->string('profile_picture_path')->nullable()->change();
            $table->text('education')->nullable()->change();
            $table->text('experience')->nullable()->change();
            $table->text('skills')->nullable()->change();
            $table->timestamp('created_at')->nullable()->change();
            $table->timestamp('updated_at')->nullable()->change();
            $table->string('website')->nullable()->change();
            $table->date('founded_date')->nullable()->change();
            $table->unsignedInteger('company_size')->nullable()->change();
            $table->string('company_categories')->nullable()->change();
            $table->boolean('public_profile_view')->nullable()->change(); // Change seulement si vous voulez le rendre nullable
            $table->text('description')->nullable()->change();
            $table->string('photo')->nullable()->change();
            $table->string('facebook')->nullable()->change();
            $table->string('linkedin')->nullable()->change();
            $table->string('behance')->nullable()->change();
            $table->string('dribbble')->nullable()->change();
            $table->string('country')->nullable()->change();
            $table->string('state')->nullable()->change();
            $table->string('postal_code')->nullable()->change();
            $table->decimal('latitude', 10, 8)->nullable()->change();
            $table->decimal('longitude', 11, 8)->nullable()->change();
        });
    }
};
