<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
{
    Schema::create('applications', function (Blueprint $table) {
        $table->id();
        $table->foreignId('user_id')->constrained()->onDelete('cascade'); // Lien vers la table users
        $table->foreignId('job_listing_id')->constrained('job_listings')->onDelete('cascade'); // Lien vers la table job_listings
        $table->text('cover_letter')->nullable(); // Lettre de motivation, peut être nulle
        $table->string('resume_path'); // Chemin vers le CV téléchargé
        $table->enum('status', ['pending', 'accepted', 'rejected'])->default('pending'); // Statut de la candidature
        $table->timestamps();
    });
}

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('applications');
    }
};
