<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('job_listings', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade'); // Lien vers la table users
            $table->string('title', 255);
            $table->text('description');
            $table->foreignId('category_id')->constrained('job_categories')->onDelete('cascade'); // Lien vers la table job_categories
            $table->string('location', 255);
            $table->enum('experience_level', ['junior', 'mid', 'senior']);
            $table->enum('contract_type', ['full_time', 'part_time', 'internship']);
            $table->integer('min_salary');
            $table->integer('max_salary'); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('job_listings');
    }
};
