<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use App\Http\Controllers\JobListingController;
use App\Http\Controllers\ApplicationController;
use App\Http\Controllers\JobCategoryController;
use App\Http\Controllers\UserProfileController;
use App\Http\Controllers\NotificationController;
use App\Http\Controllers\AuthController;


/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});
// Route::apiResource('users', UserController::class);
// Route::apiResource('job_categories', JobCategoryController::class);
// Route::apiResource('job_listings', JobListingController::class);
// Route::apiResource('applications', ApplicationController::class);
// Route::apiResource('notifications', NotificationController::class);
// Route::apiResource('user_profiles', UserProfileController::class);
// Users routes

Route::post('/password/recover', [UserController::class, 'recoverPassword']);
// Job Categories routes
Route::get('/job_categories', [JobCategoryController::class, 'index']);


//Authentification
Route::post('/auth/register', [AuthController::class, 'createUser']);
Route::post('/auth/login', [AuthController::class, 'loginUser']);

Route::middleware('auth:sanctum')->group(function() {
        //user
        Route::get('/users', [UserController::class, 'index']);
        Route::get('/users/auth', [UserController::class, 'getAtuh']);
        Route::post('/users', [UserController::class, 'store']);
        Route::get('/users/{id}', [UserController::class, 'show']);
        Route::put('/users/{id}', [UserController::class, 'update']);
        Route::delete('/users/{id}', [UserController::class, 'destroy']);

        // Notifications routes
        Route::get('/notifications', [NotificationController::class, 'index']);
        Route::post('/notifications', [NotificationController::class, 'store']);
        Route::get('/notifications/{id}', [NotificationController::class, 'show']);
        Route::put('/notifications/{id}', [NotificationController::class, 'update']);
        Route::delete('/notifications/{id}', [NotificationController::class, 'destroy']);

        // Applications routes
        Route::get('/applications/admin', [ApplicationController::class, 'admin']);
        Route::get('/applications', [ApplicationController::class, 'index']);
        Route::post('/applications', [ApplicationController::class, 'store']);
        Route::get('/applications/{id}', [ApplicationController::class, 'show']);
        Route::put('/applications/{id}', [ApplicationController::class, 'update']);
        Route::delete('/applications/{id}', [ApplicationController::class, 'destroy']);

        // Job Listings routes
        Route::get('/job_listings/admin', [JobListingController::class, 'admin']);
        Route::get('/job_listings', [JobListingController::class, 'index']);
        Route::post('/job_listings', [JobListingController::class, 'store']);
        // Route::get('/job_listings/{id}', [JobListingController::class, 'show']);
        Route::put('/job_listings/{id}', [JobListingController::class, 'update']);
        Route::delete('/job_listings/{id}', [JobListingController::class, 'destroy']);

        Route::post('/job_categories', [JobCategoryController::class, 'store']);
        Route::get('/job_categories/{id}', [JobCategoryController::class, 'show']);
        Route::put('/job_categories/{id}', [JobCategoryController::class, 'update']);
        Route::delete('/job_categories/{id}', [JobCategoryController::class, 'destroy']);

        // Users Profiles routes
        Route::get('/user_profiles', [UserProfileController::class, 'show']);
        Route::put('/user_profiles/{id}', [UserProfileController::class, 'update']);
        Route::delete('/user_profiles/{id}', [UserProfileController::class, 'destroy']);

});

Route::get('/job_listings/user', [JobListingController::class, 'getall']);
Route::get('/job_listings/{id}', [JobListingController::class, 'show']);
